Bug 1486878 - ghc-8.4.3 is available
Summary: ghc-8.4.3 is available
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1523457
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-30 17:08 UTC by Upstream Release Monitoring
Modified: 2019-03-31 09:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-31 09:41:07 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2017-08-30 17:08:34 UTC
Latest upstream release: 8.2.1
Current version/release in rawhide: 8.0.2-59.fc27
URL: https://haskell.org/ghc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/906/

Comment 1 Upstream Release Monitoring 2017-08-30 17:08:46 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 2 Jens Petersen 2017-10-27 07:51:26 UTC
I haven't been able to build this yet in Copr due to bug 1467299.

Comment 3 Jens Petersen 2017-10-27 07:52:33 UTC
But you can build it locally using https://github.com/fedora-haskell/ghc

Comment 4 Upstream Release Monitoring 2017-11-22 00:19:14 UTC
Latest upstream release: 8.2.2
Current version/release in rawhide: 8.0.2-60.fc28
URL: https://haskell.org/ghc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/906/

Comment 5 Upstream Release Monitoring 2017-11-22 00:19:18 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 6 Jens Petersen 2017-12-08 03:22:23 UTC
I built it in copr for Fedora:

https://copr.fedorainfracloud.org/coprs/petersen/ghc-8.2.2/

Comment 7 Upstream Release Monitoring 2018-03-09 00:19:34 UTC
Latest upstream release: 8.4.1
Current version/release in rawhide: 8.2.2-65.fc28
URL: https://haskell.org/ghc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/906/

Comment 8 Jens Petersen 2018-03-09 03:33:36 UTC
Just noting that ghc-8.2.2 is now in F28 and Rawhide.
There is also <https://copr.fedorainfracloud.org/coprs/petersen/ghc-8.2.2/>.

Comment 9 Jens Petersen 2018-04-12 03:48:59 UTC
Oh, I forget to meantion my copr repo here:

https://copr.fedorainfracloud.org/coprs/petersen/ghc-8.4.1/

Comment 10 Upstream Release Monitoring 2018-04-20 00:18:42 UTC
Latest upstream release: 8.4.2
Current version/release in rawhide: 8.2.2-65.fc28
URL: https://haskell.org/ghc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/906/

Comment 12 Jens Petersen 2018-05-01 10:26:45 UTC
Don't expect 8.4 to go into Rawhide until Stackage LTS 12 is released.

Comment 13 Upstream Release Monitoring 2018-05-30 00:19:33 UTC
Latest upstream release: 8.4.3
Current version/release in rawhide: 8.2.2-67.fc29
URL: https://haskell.org/ghc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/906/

Comment 15 Jens Petersen 2018-06-01 07:35:10 UTC
See also comment 12

Comment 16 Fedora Update System 2018-10-01 10:14:18 UTC
ghc-8.4-20180930092756.6c81f848 has been submitted as an update to Fedora 29 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-eba1f25b7b

Comment 17 Fedora Update System 2018-10-01 10:14:25 UTC
ghc-8.4-20180930092756.9c690d0e has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-66b3e8de7c

Comment 18 Fedora Update System 2018-10-02 03:11:31 UTC
ghc-8.4-20180930092756.6c81f848 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-eba1f25b7b

Comment 19 Fedora Update System 2018-10-02 16:46:36 UTC
ghc-8.4-20180930092756.9c690d0e has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-66b3e8de7c

Comment 20 Orion Poplawski 2018-10-07 18:00:15 UTC
What's the status of ghc in Fedora Rawhide?  I'd like to retire llvm3.9 from Fedora, but ghc 8.2.2 still requires it there.  Is ghc just going to be modular now?  Can we retire it from Rawhide?

Comment 21 Jens Petersen 2018-10-08 08:16:15 UTC
Hi Orion, my plan is to update main Rawhide ghc to 8.4.3 in the coming weeks/months.

So llvm3.9 can likely be retired later in the F30 development cycle.
We haven't even release 29 yet :) but I am happy to comaintain llvm3.9
in the meantime if that helps.

Is there any urgency?

Comment 22 Orion Poplawski 2018-10-08 13:32:49 UTC
If you could take it over, that would be great.  I just don't have much time to spare.

Comment 23 Jens Petersen 2018-10-09 02:57:36 UTC
Okay sure, no problem: can you add me as maintainer then?

Does it have any pending work?

Comment 24 Orion Poplawski 2018-10-10 01:21:43 UTC
Added.  It's currently FTBFS in F29+.

Comment 25 Fedora Update System 2018-10-18 03:15:44 UTC
ghc-8.4-20180930092756.9c690d0e has been pushed to the Fedora 28 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Jens Petersen 2018-10-19 10:21:15 UTC
Note that 8.4.4 was released.

Comment 27 Jens Petersen 2018-10-22 08:29:02 UTC
(In reply to Orion Poplawski from comment #24)
> Added.  It's currently FTBFS in F29+.

Yeah, but I think that was just a Koji blip on s390x?

Comment 28 Fedora Update System 2018-10-31 14:41:32 UTC
ghc-8.4-20180930092756.6c81f848 has been pushed to the Fedora 29 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Jens Petersen 2019-03-31 09:41:07 UTC
ghc-8.4.4 is also now in Rawhide and F30 stable.


Note You need to log in before you can comment on or make changes to this bug.